Subject: 24.4; icomplete cannot select matches with C-x b with no input

From: Ole Laursen <[email-masked]>
Date: Wed, 12 Nov 2014 13:31:33 +0100

Run emacs -Q, evaluate

  (icomplete-mode 1)
  (setq icomplete-show-matches-on-no-input t)

Make sure you have three buffers, e.g. by finding three files. Then
hit C-x b which should immediately show all buffers and use C-. or C-,
to select any other buffer than  what the modeline declares to be the
default, and hit C-j or RET.

Emacs then switches to the default buffer instead of the selected buffer.

Ole